/*
  +----------------------------------------------------------------------+
  | PHP Version 5                                                        |
  +----------------------------------------------------------------------+
  | Copyright (c) 1997-2004 The PHP Group                                |
  +----------------------------------------------------------------------+
  | This source file is subject to version 3.0 of the PHP license,       |
  | that is bundled with this package in the file LICENSE, and is        |
  | available through the world-wide-web at the following url:           |
  | http://www.php.net/license/3_0.txt.                                  |
  | If you did not receive a copy of the PHP license and are unable to   |
  | obtain it through the world-wide-web, please send a note to          |
  | license@php.net so we can mail you a copy immediately.               |
  +----------------------------------------------------------------------+
  | Author: Sara Golemon <pollita@php.net>                               |
  +----------------------------------------------------------------------+
*/

/* $Id: php_classkit.h,v 1.4 2004/08/26 00:57:58 pollita Exp $ */

#ifndef PHP_CLASSKIT_H
#define PHP_CLASSKIT_H

extern zend_module_entry classkit_module_entry;
#define phpext_classkit_ptr &classkit_module_entry

PHP_MINIT_FUNCTION(classkit);
PHP_MINFO_FUNCTION(classkit);

PHP_FUNCTION(classkit_method_add);
PHP_FUNCTION(classkit_method_redefine);
PHP_FUNCTION(classkit_method_remove);
PHP_FUNCTION(classkit_method_rename);
PHP_FUNCTION(classkit_method_copy);
PHP_FUNCTION(classkit_aggregate_methods);
PHP_FUNCTION(classkit_import);

#endif	/* PHP_CLASSKIT_H */


/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * End:
 * vim600: noet sw=4 ts=4 fdm=marker
 * vim<600: noet sw=4 ts=4
 */
